import pygro

class KerrSTVG(pygro.Metric):
    def __init__(self, **kwargs):
        self.initialized = 0
        self.initialized_metric = 0
        self.geodesic_engine_linked = False
        metric_json = {"name": "Kerr STVG", "g": [["-(r**2+a**2-2*(1+alpha)*m*r+alpha*(1+alpha)*m**2-a**2*(sin(theta)**2))/(r**2+a**2*(cos(theta)**2))", "0", "0", "-a*(sin(theta)**2)/(r**2+a**2*(cos(theta)**2))*((r**2+a**2)-(r**2+a**2-2*(1+alpha)*m*r+alpha*(1+alpha)*m**2))"], ["0", "(r**2+a**2*cos(theta)**2)/(r**2+a**2-2*(1+alpha)*m*r+alpha*(1+alpha)*m**2)", "0", "0"], ["0", "0", "r**2+a**2*cos(theta)**2", "0"], ["-a*(sin(theta)**2)/(r**2+a**2*(cos(theta)**2))*((r**2+a**2)-(r**2+a**2-2*(1+alpha)*m*r+alpha*(1+alpha)*m**2))", "0", "0", "((r**2+a**2)**2-(r**2+a**2-2*(1+alpha)*m*r+alpha*(1+alpha)*m**2)*a**2*(sin(theta)**2))*(sin(theta)**2)/(r**2+a**2*cos(theta)**2)"]], "x": ["t", "r", "theta", "phi"], "g_inv": [["(a**6*sin(theta)**2*cos(theta)**2 - a**6*cos(theta)**2 + a**4*alpha**2*m**2*sin(theta)**2*cos(theta)**2 + a**4*alpha*m**2*sin(theta)**2*cos(theta)**2 - 2*a**4*alpha*m*r*sin(theta)**2*cos(theta)**2 - 2*a**4*m*r*sin(theta)**2*cos(theta)**2 + a**4*r**2*sin(theta)**2*cos(theta)**2 + a**4*r**2*sin(theta)**2 - 2*a**4*r**2*cos(theta)**2 - a**4*r**2 + a**2*alpha**2*m**2*r**2*sin(theta)**2 + a**2*alpha*m**2*r**2*sin(theta)**2 - 2*a**2*alpha*m*r**3*sin(theta)**2 - 2*a**2*m*r**3*sin(theta)**2 + a**2*r**4*sin(theta)**2 - a**2*r**4*cos(theta)**2 - 2*a**2*r**4 - r**6)/(a**6*sin(theta)**4 - 2*a**6*sin(theta)**2 + a**6 + a**4*alpha**2*m**2*sin(theta)**4 - 2*a**4*alpha**2*m**2*sin(theta)**2 + a**4*alpha**2*m**2 + a**4*alpha*m**2*sin(theta)**4 - 2*a**4*alpha*m**2*sin(theta)**2 + a**4*alpha*m**2 - 2*a**4*alpha*m*r*sin(theta)**4 + 4*a**4*alpha*m*r*sin(theta)**2 - 2*a**4*alpha*m*r - 2*a**4*m*r*sin(theta)**4 + 4*a**4*m*r*sin(theta)**2 - 2*a**4*m*r + a**4*r**2*sin(theta)**4 - 4*a**4*r**2*sin(theta)**2 + 3*a**4*r**2 - 2*a**2*alpha**2*m**2*r**2*sin(theta)**2 + 2*a**2*alpha**2*m**2*r**2 - 2*a**2*alpha*m**2*r**2*sin(theta)**2 + 2*a**2*alpha*m**2*r**2 + 4*a**2*alpha*m*r**3*sin(theta)**2 - 4*a**2*alpha*m*r**3 + 4*a**2*m*r**3*sin(theta)**2 - 4*a**2*m*r**3 - 2*a**2*r**4*sin(theta)**2 + 3*a**2*r**4 + alpha**2*m**2*r**4 + alpha*m**2*r**4 - 2*alpha*m*r**5 - 2*m*r**5 + r**6)", "0", "0", "(a**3*alpha**2*m**2*cos(theta)**2 + a**3*alpha*m**2*cos(theta)**2 - 2*a**3*alpha*m*r*cos(theta)**2 - 2*a**3*m*r*cos(theta)**2 + a*alpha**2*m**2*r**2 + a*alpha*m**2*r**2 - 2*a*alpha*m*r**3 - 2*a*m*r**3)/(a**6*sin(theta)**4 - 2*a**6*sin(theta)**2 + a**6 + a**4*alpha**2*m**2*sin(theta)**4 - 2*a**4*alpha**2*m**2*sin(theta)**2 + a**4*alpha**2*m**2 + a**4*alpha*m**2*sin(theta)**4 - 2*a**4*alpha*m**2*sin(theta)**2 + a**4*alpha*m**2 - 2*a**4*alpha*m*r*sin(theta)**4 + 4*a**4*alpha*m*r*sin(theta)**2 - 2*a**4*alpha*m*r - 2*a**4*m*r*sin(theta)**4 + 4*a**4*m*r*sin(theta)**2 - 2*a**4*m*r + a**4*r**2*sin(theta)**4 - 4*a**4*r**2*sin(theta)**2 + 3*a**4*r**2 - 2*a**2*alpha**2*m**2*r**2*sin(theta)**2 + 2*a**2*alpha**2*m**2*r**2 - 2*a**2*alpha*m**2*r**2*sin(theta)**2 + 2*a**2*alpha*m**2*r**2 + 4*a**2*alpha*m*r**3*sin(theta)**2 - 4*a**2*alpha*m*r**3 + 4*a**2*m*r**3*sin(theta)**2 - 4*a**2*m*r**3 - 2*a**2*r**4*sin(theta)**2 + 3*a**2*r**4 + alpha**2*m**2*r**4 + alpha*m**2*r**4 - 2*alpha*m*r**5 - 2*m*r**5 + r**6)"], ["0", "(a**2 + alpha**2*m**2 + alpha*m**2 - 2*alpha*m*r - 2*m*r + r**2)/(a**2*cos(theta)**2 + r**2)", "0", "0"], ["0", "0", "1/(a**2*cos(theta)**2 + r**2)", "0"], ["(a**3*alpha**2*m**2*cos(theta)**2 + a**3*alpha*m**2*cos(theta)**2 - 2*a**3*alpha*m*r*cos(theta)**2 - 2*a**3*m*r*cos(theta)**2 + a*alpha**2*m**2*r**2 + a*alpha*m**2*r**2 - 2*a*alpha*m*r**3 - 2*a*m*r**3)/(a**6*sin(theta)**4 - 2*a**6*sin(theta)**2 + a**6 + a**4*alpha**2*m**2*sin(theta)**4 - 2*a**4*alpha**2*m**2*sin(theta)**2 + a**4*alpha**2*m**2 + a**4*alpha*m**2*sin(theta)**4 - 2*a**4*alpha*m**2*sin(theta)**2 + a**4*alpha*m**2 - 2*a**4*alpha*m*r*sin(theta)**4 + 4*a**4*alpha*m*r*sin(theta)**2 - 2*a**4*alpha*m*r - 2*a**4*m*r*sin(theta)**4 + 4*a**4*m*r*sin(theta)**2 - 2*a**4*m*r + a**4*r**2*sin(theta)**4 - 4*a**4*r**2*sin(theta)**2 + 3*a**4*r**2 - 2*a**2*alpha**2*m**2*r**2*sin(theta)**2 + 2*a**2*alpha**2*m**2*r**2 - 2*a**2*alpha*m**2*r**2*sin(theta)**2 + 2*a**2*alpha*m**2*r**2 + 4*a**2*alpha*m*r**3*sin(theta)**2 - 4*a**2*alpha*m*r**3 + 4*a**2*m*r**3*sin(theta)**2 - 4*a**2*m*r**3 - 2*a**2*r**4*sin(theta)**2 + 3*a**2*r**4 + alpha**2*m**2*r**4 + alpha*m**2*r**4 - 2*alpha*m*r**5 - 2*m*r**5 + r**6)", "0", "0", "(-a**4*sin(theta)**2*cos(theta)**2 + a**4*cos(theta)**2 + a**2*alpha**2*m**2*cos(theta)**2 + a**2*alpha*m**2*cos(theta)**2 - 2*a**2*alpha*m*r*cos(theta)**2 - 2*a**2*m*r*cos(theta)**2 - a**2*r**2*sin(theta)**2 + a**2*r**2*cos(theta)**2 + a**2*r**2 + alpha**2*m**2*r**2 + alpha*m**2*r**2 - 2*alpha*m*r**3 - 2*m*r**3 + r**4)/(a**6*sin(theta)**6 - 2*a**6*sin(theta)**4 + a**6*sin(theta)**2 + a**4*alpha**2*m**2*sin(theta)**6 - 2*a**4*alpha**2*m**2*sin(theta)**4 + a**4*alpha**2*m**2*sin(theta)**2 + a**4*alpha*m**2*sin(theta)**6 - 2*a**4*alpha*m**2*sin(theta)**4 + a**4*alpha*m**2*sin(theta)**2 - 2*a**4*alpha*m*r*sin(theta)**6 + 4*a**4*alpha*m*r*sin(theta)**4 - 2*a**4*alpha*m*r*sin(theta)**2 - 2*a**4*m*r*sin(theta)**6 + 4*a**4*m*r*sin(theta)**4 - 2*a**4*m*r*sin(theta)**2 + a**4*r**2*sin(theta)**6 - 4*a**4*r**2*sin(theta)**4 + 3*a**4*r**2*sin(theta)**2 - 2*a**2*alpha**2*m**2*r**2*sin(theta)**4 + 2*a**2*alpha**2*m**2*r**2*sin(theta)**2 - 2*a**2*alpha*m**2*r**2*sin(theta)**4 + 2*a**2*alpha*m**2*r**2*sin(theta)**2 + 4*a**2*alpha*m*r**3*sin(theta)**4 - 4*a**2*alpha*m*r**3*sin(theta)**2 + 4*a**2*m*r**3*sin(theta)**4 - 4*a**2*m*r**3*sin(theta)**2 - 2*a**2*r**4*sin(theta)**4 + 3*a**2*r**4*sin(theta)**2 + alpha**2*m**2*r**4*sin(theta)**2 + alpha*m**2*r**4*sin(theta)**2 - 2*alpha*m*r**5*sin(theta)**2 - 2*m*r**5*sin(theta)**2 + r**6*sin(theta)**2)"]], "eq_x": ["u_t", "u_r", "u_theta", "u_phi"], "eq_u": ["2*u_phi*u_r*(-(-2*r*(-a**2*(a**2 + alpha*m**2*(alpha + 1) - m*r*(2*alpha + 2) + r**2)*sin(theta)**2 + (a**2 + r**2)**2)*sin(theta)**2/(a**2*cos(theta)**2 + r**2)**2 + (-a**2*(-m*(2*alpha + 2) + 2*r)*sin(theta)**2 + 4*r*(a**2 + r**2))*sin(theta)**2/(a**2*cos(theta)**2 + r**2))*(a**3*alpha**2*m**2*cos(theta)**2 + a**3*alpha*m**2*cos(theta)**2 - 2*a**3*alpha*m*r*cos(theta)**2 - 2*a**3*m*r*cos(theta)**2 + a*alpha**2*m**2*r**2 + a*alpha*m**2*r**2 - 2*a*alpha*m*r**3 - 2*a*m*r**3)/(2*(a**6*sin(theta)**4 - 2*a**6*sin(theta)**2 + a**6 + a**4*alpha**2*m**2*sin(theta)**4 - 2*a**4*alpha**2*m**2*sin(theta)**2 + a**4*alpha**2*m**2 + a**4*alpha*m**2*sin(theta)**4 - 2*a**4*alpha*m**2*sin(theta)**2 + a**4*alpha*m**2 - 2*a**4*alpha*m*r*sin(theta)**4 + 4*a**4*alpha*m*r*sin(theta)**2 - 2*a**4*alpha*m*r - 2*a**4*m*r*sin(theta)**4 + 4*a**4*m*r*sin(theta)**2 - 2*a**4*m*r + a**4*r**2*sin(theta)**4 - 4*a**4*r**2*sin(theta)**2 + 3*a**4*r**2 - 2*a**2*alpha**2*m**2*r**2*sin(theta)**2 + 2*a**2*alpha**2*m**2*r**2 - 2*a**2*alpha*m**2*r**2*sin(theta)**2 + 2*a**2*alpha*m**2*r**2 + 4*a**2*alpha*m*r**3*sin(theta)**2 - 4*a**2*alpha*m*r**3 + 4*a**2*m*r**3*sin(theta)**2 - 4*a**2*m*r**3 - 2*a**2*r**4*sin(theta)**2 + 3*a**2*r**4 + alpha**2*m**2*r**4 + alpha*m**2*r**4 - 2*alpha*m*r**5 - 2*m*r**5 + r**6)) - (-a*m*(2*alpha + 2)*sin(theta)**2/(a**2*cos(theta)**2 + r**2) + 2*a*r*(-alpha*m**2*(alpha + 1) + m*r*(2*alpha + 2))*sin(theta)**2/(a**2*cos(theta)**2 + r**2)**2)*(a**6*sin(theta)**2*cos(theta)**2 - a**6*cos(theta)**2 + a**4*alpha**2*m**2*sin(theta)**2*cos(theta)**2 + a**4*alpha*m**2*sin(theta)**2*cos(theta)**2 - 2*a**4*alpha*m*r*sin(theta)**2*cos(theta)**2 - 2*a**4*m*r*sin(theta)**2*cos(theta)**2 + a**4*r**2*sin(theta)**2*cos(theta)**2 + a**4*r**2*sin(theta)**2 - 2*a**4*r**2*cos(theta)**2 - a**4*r**2 + a**2*alpha**2*m**2*r**2*sin(theta)**2 + a**2*alpha*m**2*r**2*sin(theta)**2 - 2*a**2*alpha*m*r**3*sin(theta)**2 - 2*a**2*m*r**3*sin(theta)**2 + a**2*r**4*sin(theta)**2 - a**2*r**4*cos(theta)**2 - 2*a**2*r**4 - r**6)/(2*(a**6*sin(theta)**4 - 2*a**6*sin(theta)**2 + a**6 + a**4*alpha**2*m**2*sin(theta)**4 - 2*a**4*alpha**2*m**2*sin(theta)**2 + a**4*alpha**2*m**2 + a**4*alpha*m**2*sin(theta)**4 - 2*a**4*alpha*m**2*sin(theta)**2 + a**4*alpha*m**2 - 2*a**4*alpha*m*r*sin(theta)**4 + 4*a**4*alpha*m*r*sin(theta)**2 - 2*a**4*alpha*m*r - 2*a**4*m*r*sin(theta)**4 + 4*a**4*m*r*sin(theta)**2 - 2*a**4*m*r + a**4*r**2*sin(theta)**4 - 4*a**4*r**2*sin(theta)**2 + 3*a**4*r**2 - 2*a**2*alpha**2*m**2*r**2*sin(theta)**2 + 2*a**2*alpha**2*m**2*r**2 - 2*a**2*alpha*m**2*r**2*sin(theta)**2 + 2*a**2*alpha*m**2*r**2 + 4*a**2*alpha*m*r**3*sin(theta)**2 - 4*a**2*alpha*m*r**3 + 4*a**2*m*r**3*sin(theta)**2 - 4*a**2*m*r**3 - 2*a**2*r**4*sin(theta)**2 + 3*a**2*r**4 + alpha**2*m**2*r**4 + alpha*m**2*r**4 - 2*alpha*m*r**5 - 2*m*r**5 + r**6))) + 2*u_phi*u_theta*(-(-2*a**3*(-alpha*m**2*(alpha + 1) + m*r*(2*alpha + 2))*sin(theta)**3*cos(theta)/(a**2*cos(theta)**2 + r**2)**2 - 2*a*(-alpha*m**2*(alpha + 1) + m*r*(2*alpha + 2))*sin(theta)*cos(theta)/(a**2*cos(theta)**2 + r**2))*(a**6*sin(theta)**2*cos(theta)**2 - a**6*cos(theta)**2 + a**4*alpha**2*m**2*sin(theta)**2*cos(theta)**2 + a**4*alpha*m**2*sin(theta)**2*cos(theta)**2 - 2*a**4*alpha*m*r*sin(theta)**2*cos(theta)**2 - 2*a**4*m*r*sin(theta)**2*cos(theta)**2 + a**4*r**2*sin(theta)**2*cos(theta)**2 + a**4*r**2*sin(theta)**2 - 2*a**4*r**2*cos(theta)**2 - a**4*r**2 + a**2*alpha**2*m**2*r**2*sin(theta)**2 + a**2*alpha*m**2*r**2*sin(theta)**2 - 2*a**2*alpha*m*r**3*sin(theta)**2 - 2*a**2*m*r**3*sin(theta)**2 + a**2*r**4*sin(theta)**2 - a**2*r**4*cos(theta)**2 - 2*a**2*r**4 - r**6)/(2*(a**6*sin(theta)**4 - 2*a**6*sin(theta)**2 + a**6 + a**4*alpha**2*m**2*sin(theta)**4 - 2*a**4*alpha**2*m**2*sin(theta)**2 + a**4*alpha**2*m**2 + a**4*alpha*m**2*sin(theta)**4 - 2*a**4*alpha*m**2*sin(theta)**2 + a**4*alpha*m**2 - 2*a**4*alpha*m*r*sin(theta)**4 + 4*a**4*alpha*m*r*sin(theta)**2 - 2*a**4*alpha*m*r - 2*a**4*m*r*sin(theta)**4 + 4*a**4*m*r*sin(theta)**2 - 2*a**4*m*r + a**4*r**2*sin(theta)**4 - 4*a**4*r**2*sin(theta)**2 + 3*a**4*r**2 - 2*a**2*alpha**2*m**2*r**2*sin(theta)**2 + 2*a**2*alpha**2*m**2*r**2 - 2*a**2*alpha*m**2*r**2*sin(theta)**2 + 2*a**2*alpha*m**2*r**2 + 4*a**2*alpha*m*r**3*sin(theta)**2 - 4*a**2*alpha*m*r**3 + 4*a**2*m*r**3*sin(theta)**2 - 4*a**2*m*r**3 - 2*a**2*r**4*sin(theta)**2 + 3*a**2*r**4 + alpha**2*m**2*r**4 + alpha*m**2*r**4 - 2*alpha*m*r**5 - 2*m*r**5 + r**6)) - (-2*a**2*(a**2 + alpha*m**2*(alpha + 1) - m*r*(2*alpha + 2) + r**2)*sin(theta)**3*cos(theta)/(a**2*cos(theta)**2 + r**2) + 2*a**2*(-a**2*(a**2 + alpha*m**2*(alpha + 1) - m*r*(2*alpha + 2) + r**2)*sin(theta)**2 + (a**2 + r**2)**2)*sin(theta)**3*cos(theta)/(a**2*cos(theta)**2 + r**2)**2 + 2*(-a**2*(a**2 + alpha*m**2*(alpha + 1) - m*r*(2*alpha + 2) + r**2)*sin(theta)**2 + (a**2 + r**2)**2)*sin(theta)*cos(theta)/(a**2*cos(theta)**2 + r**2))*(a**3*alpha**2*m**2*cos(theta)**2 + a**3*alpha*m**2*cos(theta)**2 - 2*a**3*alpha*m*r*cos(theta)**2 - 2*a**3*m*r*cos(theta)**2 + a*alpha**2*m**2*r**2 + a*alpha*m**2*r**2 - 2*a*alpha*m*r**3 - 2*a*m*r**3)/(2*(a**6*sin(theta)**4 - 2*a**6*sin(theta)**2 + a**6 + a**4*alpha**2*m**2*sin(theta)**4 - 2*a**4*alpha**2*m**2*sin(theta)**2 + a**4*alpha**2*m**2 + a**4*alpha*m**2*sin(theta)**4 - 2*a**4*alpha*m**2*sin(theta)**2 + a**4*alpha*m**2 - 2*a**4*alpha*m*r*sin(theta)**4 + 4*a**4*alpha*m*r*sin(theta)**2 - 2*a**4*alpha*m*r - 2*a**4*m*r*sin(theta)**4 + 4*a**4*m*r*sin(theta)**2 - 2*a**4*m*r + a**4*r**2*sin(theta)**4 - 4*a**4*r**2*sin(theta)**2 + 3*a**4*r**2 - 2*a**2*alpha**2*m**2*r**2*sin(theta)**2 + 2*a**2*alpha**2*m**2*r**2 - 2*a**2*alpha*m**2*r**2*sin(theta)**2 + 2*a**2*alpha*m**2*r**2 + 4*a**2*alpha*m*r**3*sin(theta)**2 - 4*a**2*alpha*m*r**3 + 4*a**2*m*r**3*sin(theta)**2 - 4*a**2*m*r**3 - 2*a**2*r**4*sin(theta)**2 + 3*a**2*r**4 + alpha**2*m**2*r**4 + alpha*m**2*r**4 - 2*alpha*m*r**5 - 2*m*r**5 + r**6))) + 2*u_r*u_t*(-(-2*r*(a**2*sin(theta)**2 - a**2 - alpha*m**2*(alpha + 1) + m*r*(2*alpha + 2) - r**2)/(a**2*cos(theta)**2 + r**2)**2 + (m*(2*alpha + 2) - 2*r)/(a**2*cos(theta)**2 + r**2))*(a**6*sin(theta)**2*cos(theta)**2 - a**6*cos(theta)**2 + a**4*alpha**2*m**2*sin(theta)**2*cos(theta)**2 + a**4*alpha*m**2*sin(theta)**2*cos(theta)**2 - 2*a**4*alpha*m*r*sin(theta)**2*cos(theta)**2 - 2*a**4*m*r*sin(theta)**2*cos(theta)**2 + a**4*r**2*sin(theta)**2*cos(theta)**2 + a**4*r**2*sin(theta)**2 - 2*a**4*r**2*cos(theta)**2 - a**4*r**2 + a**2*alpha**2*m**2*r**2*sin(theta)**2 + a**2*alpha*m**2*r**2*sin(theta)**2 - 2*a**2*alpha*m*r**3*sin(theta)**2 - 2*a**2*m*r**3*sin(theta)**2 + a**2*r**4*sin(theta)**2 - a**2*r**4*cos(theta)**2 - 2*a**2*r**4 - r**6)/(2*(a**6*sin(theta)**4 - 2*a**6*sin(theta)**2 + a**6 + a**4*alpha**2*m**2*sin(theta)**4 - 2*a**4*alpha**2*m**2*sin(theta)**2 + a**4*alpha**2*m**2 + a**4*alpha*m**2*sin(theta)**4 - 2*a**4*alpha*m**2*sin(theta)**2 + a**4*alpha*m**2 - 2*a**4*alpha*m*r*sin(theta)**4 + 4*a**4*alpha*m*r*sin(theta)**2 - 2*a**4*alpha*m*r - 2*a**4*m*r*sin(theta)**4 + 4*a**4*m*r*sin(theta)**2 - 2*a**4*m*r + a**4*r**2*sin(theta)**4 - 4*a**4*r**2*sin(theta)**2 + 3*a**4*r**2 - 2*a**2*alpha**2*m**2*r**2*sin(theta)**2 + 2*a**2*alpha**2*m**2*r**2 - 2*a**2*alpha*m**2*r**2*sin(theta)**2 + 2*a**2*alpha*m**2*r**2 + 4*a**2*alpha*m*r**3*sin(theta)**2 - 4*a**2*alpha*m*r**3 + 4*a**2*m*r**3*sin(theta)**2 - 4*a**2*m*r**3 - 2*a**2*r**4*sin(theta)**2 + 3*a**2*r**4 + alpha**2*m**2*r**4 + alpha*m**2*r**4 - 2*alpha*m*r**5 - 2*m*r**5 + r**6)) - (-a*m*(2*alpha + 2)*sin(theta)**2/(a**2*cos(theta)**2 + r**2) + 2*a*r*(-alpha*m**2*(alpha + 1) + m*r*(2*alpha + 2))*sin(theta)**2/(a**2*cos(theta)**2 + r**2)**2)*(a**3*alpha**2*m**2*cos(theta)**2 + a**3*alpha*m**2*cos(theta)**2 - 2*a**3*alpha*m*r*cos(theta)**2 - 2*a**3*m*r*cos(theta)**2 + a*alpha**2*m**2*r**2 + a*alpha*m**2*r**2 - 2*a*alpha*m*r**3 - 2*a*m*r**3)/(2*(a**6*sin(theta)**4 - 2*a**6*sin(theta)**2 + a**6 + a**4*alpha**2*m**2*sin(theta)**4 - 2*a**4*alpha**2*m**2*sin(theta)**2 + a**4*alpha**2*m**2 + a**4*alpha*m**2*sin(theta)**4 - 2*a**4*alpha*m**2*sin(theta)**2 + a**4*alpha*m**2 - 2*a**4*alpha*m*r*sin(theta)**4 + 4*a**4*alpha*m*r*sin(theta)**2 - 2*a**4*alpha*m*r - 2*a**4*m*r*sin(theta)**4 + 4*a**4*m*r*sin(theta)**2 - 2*a**4*m*r + a**4*r**2*sin(theta)**4 - 4*a**4*r**2*sin(theta)**2 + 3*a**4*r**2 - 2*a**2*alpha**2*m**2*r**2*sin(theta)**2 + 2*a**2*alpha**2*m**2*r**2 - 2*a**2*alpha*m**2*r**2*sin(theta)**2 + 2*a**2*alpha*m**2*r**2 + 4*a**2*alpha*m*r**3*sin(theta)**2 - 4*a**2*alpha*m*r**3 + 4*a**2*m*r**3*sin(theta)**2 - 4*a**2*m*r**3 - 2*a**2*r**4*sin(theta)**2 + 3*a**2*r**4 + alpha**2*m**2*r**4 + alpha*m**2*r**4 - 2*alpha*m*r**5 - 2*m*r**5 + r**6))) + 2*u_t*u_theta*(-(2*a**2*sin(theta)*cos(theta)/(a**2*cos(theta)**2 + r**2) + 2*a**2*(a**2*sin(theta)**2 - a**2 - alpha*m**2*(alpha + 1) + m*r*(2*alpha + 2) - r**2)*sin(theta)*cos(theta)/(a**2*cos(theta)**2 + r**2)**2)*(a**6*sin(theta)**2*cos(theta)**2 - a**6*cos(theta)**2 + a**4*alpha**2*m**2*sin(theta)**2*cos(theta)**2 + a**4*alpha*m**2*sin(theta)**2*cos(theta)**2 - 2*a**4*alpha*m*r*sin(theta)**2*cos(theta)**2 - 2*a**4*m*r*sin(theta)**2*cos(theta)**2 + a**4*r**2*sin(theta)**2*cos(theta)**2 + a**4*r**2*sin(theta)**2 - 2*a**4*r**2*cos(theta)**2 - a**4*r**2 + a**2*alpha**2*m**2*r**2*sin(theta)**2 + a**2*alpha*m**2*r**2*sin(theta)**2 - 2*a**2*alpha*m*r**3*sin(theta)**2 - 2*a**2*m*r**3*sin(theta)**2 + a**2*r**4*sin(theta)**2 - a**2*r**4*cos(theta)**2 - 2*a**2*r**4 - r**6)/(2*(a**6*sin(theta)**4 - 2*a**6*sin(theta)**2 + a**6 + a**4*alpha**2*m**2*sin(theta)**4 - 2*a**4*alpha**2*m**2*sin(theta)**2 + a**4*alpha**2*m**2 + a**4*alpha*m**2*sin(theta)**4 - 2*a**4*alpha*m**2*sin(theta)**2 + a**4*alpha*m**2 - 2*a**4*alpha*m*r*sin(theta)**4 + 4*a**4*alpha*m*r*sin(theta)**2 - 2*a**4*alpha*m*r - 2*a**4*m*r*sin(theta)**4 + 4*a**4*m*r*sin(theta)**2 - 2*a**4*m*r + a**4*r**2*sin(theta)**4 - 4*a**4*r**2*sin(theta)**2 + 3*a**4*r**2 - 2*a**2*alpha**2*m**2*r**2*sin(theta)**2 + 2*a**2*alpha**2*m**2*r**2 - 2*a**2*alpha*m**2*r**2*sin(theta)**2 + 2*a**2*alpha*m**2*r**2 + 4*a**2*alpha*m*r**3*sin(theta)**2 - 4*a**2*alpha*m*r**3 + 4*a**2*m*r**3*sin(theta)**2 - 4*a**2*m*r**3 - 2*a**2*r**4*sin(theta)**2 + 3*a**2*r**4 + alpha**2*m**2*r**4 + alpha*m**2*r**4 - 2*alpha*m*r**5 - 2*m*r**5 + r**6)) - (-2*a**3*(-alpha*m**2*(alpha + 1) + m*r*(2*alpha + 2))*sin(theta)**3*cos(theta)/(a**2*cos(theta)**2 + r**2)**2 - 2*a*(-alpha*m**2*(alpha + 1) + m*r*(2*alpha + 2))*sin(theta)*cos(theta)/(a**2*cos(theta)**2 + r**2))*(a**3*alpha**2*m**2*cos(theta)**2 + a**3*alpha*m**2*cos(theta)**2 - 2*a**3*alpha*m*r*cos(theta)**2 - 2*a**3*m*r*cos(theta)**2 + a*alpha**2*m**2*r**2 + a*alpha*m**2*r**2 - 2*a*alpha*m*r**3 - 2*a*m*r**3)/(2*(a**6*sin(theta)**4 - 2*a**6*sin(theta)**2 + a**6 + a**4*alpha**2*m**2*sin(theta)**4 - 2*a**4*alpha**2*m**2*sin(theta)**2 + a**4*alpha**2*m**2 + a**4*alpha*m**2*sin(theta)**4 - 2*a**4*alpha*m**2*sin(theta)**2 + a**4*alpha*m**2 - 2*a**4*alpha*m*r*sin(theta)**4 + 4*a**4*alpha*m*r*sin(theta)**2 - 2*a**4*alpha*m*r - 2*a**4*m*r*sin(theta)**4 + 4*a**4*m*r*sin(theta)**2 - 2*a**4*m*r + a**4*r**2*sin(theta)**4 - 4*a**4*r**2*sin(theta)**2 + 3*a**4*r**2 - 2*a**2*alpha**2*m**2*r**2*sin(theta)**2 + 2*a**2*alpha**2*m**2*r**2 - 2*a**2*alpha*m**2*r**2*sin(theta)**2 + 2*a**2*alpha*m**2*r**2 + 4*a**2*alpha*m*r**3*sin(theta)**2 - 4*a**2*alpha*m*r**3 + 4*a**2*m*r**3*sin(theta)**2 - 4*a**2*m*r**3 - 2*a**2*r**4*sin(theta)**2 + 3*a**2*r**4 + alpha**2*m**2*r**4 + alpha*m**2*r**4 - 2*alpha*m*r**5 - 2*m*r**5 + r**6)))", "2*a**2*u_r*u_theta*(a**2 + alpha**2*m**2 + alpha*m**2 - 2*alpha*m*r - 2*m*r + r**2)*sin(theta)*cos(theta)/((a**2*cos(theta)**2 + r**2)*(a**2 + alpha*m**2*(alpha + 1) - m*r*(2*alpha + 2) + r**2)) + r*u_theta**2*(a**2 + alpha**2*m**2 + alpha*m**2 - 2*alpha*m*r - 2*m*r + r**2)/(a**2*cos(theta)**2 + r**2) - u_phi**2*(2*r*(-a**2*(a**2 + alpha*m**2*(alpha + 1) - m*r*(2*alpha + 2) + r**2)*sin(theta)**2 + (a**2 + r**2)**2)*sin(theta)**2/(a**2*cos(theta)**2 + r**2)**2 - (-a**2*(-m*(2*alpha + 2) + 2*r)*sin(theta)**2 + 4*r*(a**2 + r**2))*sin(theta)**2/(a**2*cos(theta)**2 + r**2))*(a**2 + alpha**2*m**2 + alpha*m**2 - 2*alpha*m*r - 2*m*r + r**2)/(2*(a**2*cos(theta)**2 + r**2)) - u_phi*u_t*(a*m*(2*alpha + 2)*sin(theta)**2/(a**2*cos(theta)**2 + r**2) - 2*a*r*(-alpha*m**2*(alpha + 1) + m*r*(2*alpha + 2))*sin(theta)**2/(a**2*cos(theta)**2 + r**2)**2)*(a**2 + alpha**2*m**2 + alpha*m**2 - 2*alpha*m*r - 2*m*r + r**2)/(a**2*cos(theta)**2 + r**2) - u_r**2*(2*r/(a**2 + alpha*m**2*(alpha + 1) - m*r*(2*alpha + 2) + r**2) + (a**2*cos(theta)**2 + r**2)*(m*(2*alpha + 2) - 2*r)/(a**2 + alpha*m**2*(alpha + 1) - m*r*(2*alpha + 2) + r**2)**2)*(a**2 + alpha**2*m**2 + alpha*m**2 - 2*alpha*m*r - 2*m*r + r**2)/(2*(a**2*cos(theta)**2 + r**2)) - u_t**2*(2*r*(a**2*sin(theta)**2 - a**2 - alpha*m**2*(alpha + 1) + m*r*(2*alpha + 2) - r**2)/(a**2*cos(theta)**2 + r**2)**2 - (m*(2*alpha + 2) - 2*r)/(a**2*cos(theta)**2 + r**2))*(a**2 + alpha**2*m**2 + alpha*m**2 - 2*alpha*m*r - 2*m*r + r**2)/(2*(a**2*cos(theta)**2 + r**2))", "-a**2*u_r**2*sin(theta)*cos(theta)/((a**2*cos(theta)**2 + r**2)*(a**2 + alpha*m**2*(alpha + 1) - m*r*(2*alpha + 2) + r**2)) + a**2*u_theta**2*sin(theta)*cos(theta)/(a**2*cos(theta)**2 + r**2) - 2*r*u_r*u_theta/(a**2*cos(theta)**2 + r**2) - u_phi**2*(2*a**2*(a**2 + alpha*m**2*(alpha + 1) - m*r*(2*alpha + 2) + r**2)*sin(theta)**3*cos(theta)/(a**2*cos(theta)**2 + r**2) - 2*a**2*(-a**2*(a**2 + alpha*m**2*(alpha + 1) - m*r*(2*alpha + 2) + r**2)*sin(theta)**2 + (a**2 + r**2)**2)*sin(theta)**3*cos(theta)/(a**2*cos(theta)**2 + r**2)**2 - 2*(-a**2*(a**2 + alpha*m**2*(alpha + 1) - m*r*(2*alpha + 2) + r**2)*sin(theta)**2 + (a**2 + r**2)**2)*sin(theta)*cos(theta)/(a**2*cos(theta)**2 + r**2))/(2*(a**2*cos(theta)**2 + r**2)) - u_phi*u_t*(2*a**3*(-alpha*m**2*(alpha + 1) + m*r*(2*alpha + 2))*sin(theta)**3*cos(theta)/(a**2*cos(theta)**2 + r**2)**2 + 2*a*(-alpha*m**2*(alpha + 1) + m*r*(2*alpha + 2))*sin(theta)*cos(theta)/(a**2*cos(theta)**2 + r**2))/(a**2*cos(theta)**2 + r**2) - u_t**2*(-2*a**2*sin(theta)*cos(theta)/(a**2*cos(theta)**2 + r**2) - 2*a**2*(a**2*sin(theta)**2 - a**2 - alpha*m**2*(alpha + 1) + m*r*(2*alpha + 2) - r**2)*sin(theta)*cos(theta)/(a**2*cos(theta)**2 + r**2)**2)/(2*(a**2*cos(theta)**2 + r**2))", "2*u_phi*u_r*(-(-2*r*(-a**2*(a**2 + alpha*m**2*(alpha + 1) - m*r*(2*alpha + 2) + r**2)*sin(theta)**2 + (a**2 + r**2)**2)*sin(theta)**2/(a**2*cos(theta)**2 + r**2)**2 + (-a**2*(-m*(2*alpha + 2) + 2*r)*sin(theta)**2 + 4*r*(a**2 + r**2))*sin(theta)**2/(a**2*cos(theta)**2 + r**2))*(-a**4*sin(theta)**2*cos(theta)**2 + a**4*cos(theta)**2 + a**2*alpha**2*m**2*cos(theta)**2 + a**2*alpha*m**2*cos(theta)**2 - 2*a**2*alpha*m*r*cos(theta)**2 - 2*a**2*m*r*cos(theta)**2 - a**2*r**2*sin(theta)**2 + a**2*r**2*cos(theta)**2 + a**2*r**2 + alpha**2*m**2*r**2 + alpha*m**2*r**2 - 2*alpha*m*r**3 - 2*m*r**3 + r**4)/(2*(a**6*sin(theta)**6 - 2*a**6*sin(theta)**4 + a**6*sin(theta)**2 + a**4*alpha**2*m**2*sin(theta)**6 - 2*a**4*alpha**2*m**2*sin(theta)**4 + a**4*alpha**2*m**2*sin(theta)**2 + a**4*alpha*m**2*sin(theta)**6 - 2*a**4*alpha*m**2*sin(theta)**4 + a**4*alpha*m**2*sin(theta)**2 - 2*a**4*alpha*m*r*sin(theta)**6 + 4*a**4*alpha*m*r*sin(theta)**4 - 2*a**4*alpha*m*r*sin(theta)**2 - 2*a**4*m*r*sin(theta)**6 + 4*a**4*m*r*sin(theta)**4 - 2*a**4*m*r*sin(theta)**2 + a**4*r**2*sin(theta)**6 - 4*a**4*r**2*sin(theta)**4 + 3*a**4*r**2*sin(theta)**2 - 2*a**2*alpha**2*m**2*r**2*sin(theta)**4 + 2*a**2*alpha**2*m**2*r**2*sin(theta)**2 - 2*a**2*alpha*m**2*r**2*sin(theta)**4 + 2*a**2*alpha*m**2*r**2*sin(theta)**2 + 4*a**2*alpha*m*r**3*sin(theta)**4 - 4*a**2*alpha*m*r**3*sin(theta)**2 + 4*a**2*m*r**3*sin(theta)**4 - 4*a**2*m*r**3*sin(theta)**2 - 2*a**2*r**4*sin(theta)**4 + 3*a**2*r**4*sin(theta)**2 + alpha**2*m**2*r**4*sin(theta)**2 + alpha*m**2*r**4*sin(theta)**2 - 2*alpha*m*r**5*sin(theta)**2 - 2*m*r**5*sin(theta)**2 + r**6*sin(theta)**2)) - (-a*m*(2*alpha + 2)*sin(theta)**2/(a**2*cos(theta)**2 + r**2) + 2*a*r*(-alpha*m**2*(alpha + 1) + m*r*(2*alpha + 2))*sin(theta)**2/(a**2*cos(theta)**2 + r**2)**2)*(a**3*alpha**2*m**2*cos(theta)**2 + a**3*alpha*m**2*cos(theta)**2 - 2*a**3*alpha*m*r*cos(theta)**2 - 2*a**3*m*r*cos(theta)**2 + a*alpha**2*m**2*r**2 + a*alpha*m**2*r**2 - 2*a*alpha*m*r**3 - 2*a*m*r**3)/(2*(a**6*sin(theta)**4 - 2*a**6*sin(theta)**2 + a**6 + a**4*alpha**2*m**2*sin(theta)**4 - 2*a**4*alpha**2*m**2*sin(theta)**2 + a**4*alpha**2*m**2 + a**4*alpha*m**2*sin(theta)**4 - 2*a**4*alpha*m**2*sin(theta)**2 + a**4*alpha*m**2 - 2*a**4*alpha*m*r*sin(theta)**4 + 4*a**4*alpha*m*r*sin(theta)**2 - 2*a**4*alpha*m*r - 2*a**4*m*r*sin(theta)**4 + 4*a**4*m*r*sin(theta)**2 - 2*a**4*m*r + a**4*r**2*sin(theta)**4 - 4*a**4*r**2*sin(theta)**2 + 3*a**4*r**2 - 2*a**2*alpha**2*m**2*r**2*sin(theta)**2 + 2*a**2*alpha**2*m**2*r**2 - 2*a**2*alpha*m**2*r**2*sin(theta)**2 + 2*a**2*alpha*m**2*r**2 + 4*a**2*alpha*m*r**3*sin(theta)**2 - 4*a**2*alpha*m*r**3 + 4*a**2*m*r**3*sin(theta)**2 - 4*a**2*m*r**3 - 2*a**2*r**4*sin(theta)**2 + 3*a**2*r**4 + alpha**2*m**2*r**4 + alpha*m**2*r**4 - 2*alpha*m*r**5 - 2*m*r**5 + r**6))) + 2*u_phi*u_theta*(-(-2*a**3*(-alpha*m**2*(alpha + 1) + m*r*(2*alpha + 2))*sin(theta)**3*cos(theta)/(a**2*cos(theta)**2 + r**2)**2 - 2*a*(-alpha*m**2*(alpha + 1) + m*r*(2*alpha + 2))*sin(theta)*cos(theta)/(a**2*cos(theta)**2 + r**2))*(a**3*alpha**2*m**2*cos(theta)**2 + a**3*alpha*m**2*cos(theta)**2 - 2*a**3*alpha*m*r*cos(theta)**2 - 2*a**3*m*r*cos(theta)**2 + a*alpha**2*m**2*r**2 + a*alpha*m**2*r**2 - 2*a*alpha*m*r**3 - 2*a*m*r**3)/(2*(a**6*sin(theta)**4 - 2*a**6*sin(theta)**2 + a**6 + a**4*alpha**2*m**2*sin(theta)**4 - 2*a**4*alpha**2*m**2*sin(theta)**2 + a**4*alpha**2*m**2 + a**4*alpha*m**2*sin(theta)**4 - 2*a**4*alpha*m**2*sin(theta)**2 + a**4*alpha*m**2 - 2*a**4*alpha*m*r*sin(theta)**4 + 4*a**4*alpha*m*r*sin(theta)**2 - 2*a**4*alpha*m*r - 2*a**4*m*r*sin(theta)**4 + 4*a**4*m*r*sin(theta)**2 - 2*a**4*m*r + a**4*r**2*sin(theta)**4 - 4*a**4*r**2*sin(theta)**2 + 3*a**4*r**2 - 2*a**2*alpha**2*m**2*r**2*sin(theta)**2 + 2*a**2*alpha**2*m**2*r**2 - 2*a**2*alpha*m**2*r**2*sin(theta)**2 + 2*a**2*alpha*m**2*r**2 + 4*a**2*alpha*m*r**3*sin(theta)**2 - 4*a**2*alpha*m*r**3 + 4*a**2*m*r**3*sin(theta)**2 - 4*a**2*m*r**3 - 2*a**2*r**4*sin(theta)**2 + 3*a**2*r**4 + alpha**2*m**2*r**4 + alpha*m**2*r**4 - 2*alpha*m*r**5 - 2*m*r**5 + r**6)) - (-2*a**2*(a**2 + alpha*m**2*(alpha + 1) - m*r*(2*alpha + 2) + r**2)*sin(theta)**3*cos(theta)/(a**2*cos(theta)**2 + r**2) + 2*a**2*(-a**2*(a**2 + alpha*m**2*(alpha + 1) - m*r*(2*alpha + 2) + r**2)*sin(theta)**2 + (a**2 + r**2)**2)*sin(theta)**3*cos(theta)/(a**2*cos(theta)**2 + r**2)**2 + 2*(-a**2*(a**2 + alpha*m**2*(alpha + 1) - m*r*(2*alpha + 2) + r**2)*sin(theta)**2 + (a**2 + r**2)**2)*sin(theta)*cos(theta)/(a**2*cos(theta)**2 + r**2))*(-a**4*sin(theta)**2*cos(theta)**2 + a**4*cos(theta)**2 + a**2*alpha**2*m**2*cos(theta)**2 + a**2*alpha*m**2*cos(theta)**2 - 2*a**2*alpha*m*r*cos(theta)**2 - 2*a**2*m*r*cos(theta)**2 - a**2*r**2*sin(theta)**2 + a**2*r**2*cos(theta)**2 + a**2*r**2 + alpha**2*m**2*r**2 + alpha*m**2*r**2 - 2*alpha*m*r**3 - 2*m*r**3 + r**4)/(2*(a**6*sin(theta)**6 - 2*a**6*sin(theta)**4 + a**6*sin(theta)**2 + a**4*alpha**2*m**2*sin(theta)**6 - 2*a**4*alpha**2*m**2*sin(theta)**4 + a**4*alpha**2*m**2*sin(theta)**2 + a**4*alpha*m**2*sin(theta)**6 - 2*a**4*alpha*m**2*sin(theta)**4 + a**4*alpha*m**2*sin(theta)**2 - 2*a**4*alpha*m*r*sin(theta)**6 + 4*a**4*alpha*m*r*sin(theta)**4 - 2*a**4*alpha*m*r*sin(theta)**2 - 2*a**4*m*r*sin(theta)**6 + 4*a**4*m*r*sin(theta)**4 - 2*a**4*m*r*sin(theta)**2 + a**4*r**2*sin(theta)**6 - 4*a**4*r**2*sin(theta)**4 + 3*a**4*r**2*sin(theta)**2 - 2*a**2*alpha**2*m**2*r**2*sin(theta)**4 + 2*a**2*alpha**2*m**2*r**2*sin(theta)**2 - 2*a**2*alpha*m**2*r**2*sin(theta)**4 + 2*a**2*alpha*m**2*r**2*sin(theta)**2 + 4*a**2*alpha*m*r**3*sin(theta)**4 - 4*a**2*alpha*m*r**3*sin(theta)**2 + 4*a**2*m*r**3*sin(theta)**4 - 4*a**2*m*r**3*sin(theta)**2 - 2*a**2*r**4*sin(theta)**4 + 3*a**2*r**4*sin(theta)**2 + alpha**2*m**2*r**4*sin(theta)**2 + alpha*m**2*r**4*sin(theta)**2 - 2*alpha*m*r**5*sin(theta)**2 - 2*m*r**5*sin(theta)**2 + r**6*sin(theta)**2))) + 2*u_r*u_t*(-(-2*r*(a**2*sin(theta)**2 - a**2 - alpha*m**2*(alpha + 1) + m*r*(2*alpha + 2) - r**2)/(a**2*cos(theta)**2 + r**2)**2 + (m*(2*alpha + 2) - 2*r)/(a**2*cos(theta)**2 + r**2))*(a**3*alpha**2*m**2*cos(theta)**2 + a**3*alpha*m**2*cos(theta)**2 - 2*a**3*alpha*m*r*cos(theta)**2 - 2*a**3*m*r*cos(theta)**2 + a*alpha**2*m**2*r**2 + a*alpha*m**2*r**2 - 2*a*alpha*m*r**3 - 2*a*m*r**3)/(2*(a**6*sin(theta)**4 - 2*a**6*sin(theta)**2 + a**6 + a**4*alpha**2*m**2*sin(theta)**4 - 2*a**4*alpha**2*m**2*sin(theta)**2 + a**4*alpha**2*m**2 + a**4*alpha*m**2*sin(theta)**4 - 2*a**4*alpha*m**2*sin(theta)**2 + a**4*alpha*m**2 - 2*a**4*alpha*m*r*sin(theta)**4 + 4*a**4*alpha*m*r*sin(theta)**2 - 2*a**4*alpha*m*r - 2*a**4*m*r*sin(theta)**4 + 4*a**4*m*r*sin(theta)**2 - 2*a**4*m*r + a**4*r**2*sin(theta)**4 - 4*a**4*r**2*sin(theta)**2 + 3*a**4*r**2 - 2*a**2*alpha**2*m**2*r**2*sin(theta)**2 + 2*a**2*alpha**2*m**2*r**2 - 2*a**2*alpha*m**2*r**2*sin(theta)**2 + 2*a**2*alpha*m**2*r**2 + 4*a**2*alpha*m*r**3*sin(theta)**2 - 4*a**2*alpha*m*r**3 + 4*a**2*m*r**3*sin(theta)**2 - 4*a**2*m*r**3 - 2*a**2*r**4*sin(theta)**2 + 3*a**2*r**4 + alpha**2*m**2*r**4 + alpha*m**2*r**4 - 2*alpha*m*r**5 - 2*m*r**5 + r**6)) - (-a*m*(2*alpha + 2)*sin(theta)**2/(a**2*cos(theta)**2 + r**2) + 2*a*r*(-alpha*m**2*(alpha + 1) + m*r*(2*alpha + 2))*sin(theta)**2/(a**2*cos(theta)**2 + r**2)**2)*(-a**4*sin(theta)**2*cos(theta)**2 + a**4*cos(theta)**2 + a**2*alpha**2*m**2*cos(theta)**2 + a**2*alpha*m**2*cos(theta)**2 - 2*a**2*alpha*m*r*cos(theta)**2 - 2*a**2*m*r*cos(theta)**2 - a**2*r**2*sin(theta)**2 + a**2*r**2*cos(theta)**2 + a**2*r**2 + alpha**2*m**2*r**2 + alpha*m**2*r**2 - 2*alpha*m*r**3 - 2*m*r**3 + r**4)/(2*(a**6*sin(theta)**6 - 2*a**6*sin(theta)**4 + a**6*sin(theta)**2 + a**4*alpha**2*m**2*sin(theta)**6 - 2*a**4*alpha**2*m**2*sin(theta)**4 + a**4*alpha**2*m**2*sin(theta)**2 + a**4*alpha*m**2*sin(theta)**6 - 2*a**4*alpha*m**2*sin(theta)**4 + a**4*alpha*m**2*sin(theta)**2 - 2*a**4*alpha*m*r*sin(theta)**6 + 4*a**4*alpha*m*r*sin(theta)**4 - 2*a**4*alpha*m*r*sin(theta)**2 - 2*a**4*m*r*sin(theta)**6 + 4*a**4*m*r*sin(theta)**4 - 2*a**4*m*r*sin(theta)**2 + a**4*r**2*sin(theta)**6 - 4*a**4*r**2*sin(theta)**4 + 3*a**4*r**2*sin(theta)**2 - 2*a**2*alpha**2*m**2*r**2*sin(theta)**4 + 2*a**2*alpha**2*m**2*r**2*sin(theta)**2 - 2*a**2*alpha*m**2*r**2*sin(theta)**4 + 2*a**2*alpha*m**2*r**2*sin(theta)**2 + 4*a**2*alpha*m*r**3*sin(theta)**4 - 4*a**2*alpha*m*r**3*sin(theta)**2 + 4*a**2*m*r**3*sin(theta)**4 - 4*a**2*m*r**3*sin(theta)**2 - 2*a**2*r**4*sin(theta)**4 + 3*a**2*r**4*sin(theta)**2 + alpha**2*m**2*r**4*sin(theta)**2 + alpha*m**2*r**4*sin(theta)**2 - 2*alpha*m*r**5*sin(theta)**2 - 2*m*r**5*sin(theta)**2 + r**6*sin(theta)**2))) + 2*u_t*u_theta*(-(2*a**2*sin(theta)*cos(theta)/(a**2*cos(theta)**2 + r**2) + 2*a**2*(a**2*sin(theta)**2 - a**2 - alpha*m**2*(alpha + 1) + m*r*(2*alpha + 2) - r**2)*sin(theta)*cos(theta)/(a**2*cos(theta)**2 + r**2)**2)*(a**3*alpha**2*m**2*cos(theta)**2 + a**3*alpha*m**2*cos(theta)**2 - 2*a**3*alpha*m*r*cos(theta)**2 - 2*a**3*m*r*cos(theta)**2 + a*alpha**2*m**2*r**2 + a*alpha*m**2*r**2 - 2*a*alpha*m*r**3 - 2*a*m*r**3)/(2*(a**6*sin(theta)**4 - 2*a**6*sin(theta)**2 + a**6 + a**4*alpha**2*m**2*sin(theta)**4 - 2*a**4*alpha**2*m**2*sin(theta)**2 + a**4*alpha**2*m**2 + a**4*alpha*m**2*sin(theta)**4 - 2*a**4*alpha*m**2*sin(theta)**2 + a**4*alpha*m**2 - 2*a**4*alpha*m*r*sin(theta)**4 + 4*a**4*alpha*m*r*sin(theta)**2 - 2*a**4*alpha*m*r - 2*a**4*m*r*sin(theta)**4 + 4*a**4*m*r*sin(theta)**2 - 2*a**4*m*r + a**4*r**2*sin(theta)**4 - 4*a**4*r**2*sin(theta)**2 + 3*a**4*r**2 - 2*a**2*alpha**2*m**2*r**2*sin(theta)**2 + 2*a**2*alpha**2*m**2*r**2 - 2*a**2*alpha*m**2*r**2*sin(theta)**2 + 2*a**2*alpha*m**2*r**2 + 4*a**2*alpha*m*r**3*sin(theta)**2 - 4*a**2*alpha*m*r**3 + 4*a**2*m*r**3*sin(theta)**2 - 4*a**2*m*r**3 - 2*a**2*r**4*sin(theta)**2 + 3*a**2*r**4 + alpha**2*m**2*r**4 + alpha*m**2*r**4 - 2*alpha*m*r**5 - 2*m*r**5 + r**6)) - (-2*a**3*(-alpha*m**2*(alpha + 1) + m*r*(2*alpha + 2))*sin(theta)**3*cos(theta)/(a**2*cos(theta)**2 + r**2)**2 - 2*a*(-alpha*m**2*(alpha + 1) + m*r*(2*alpha + 2))*sin(theta)*cos(theta)/(a**2*cos(theta)**2 + r**2))*(-a**4*sin(theta)**2*cos(theta)**2 + a**4*cos(theta)**2 + a**2*alpha**2*m**2*cos(theta)**2 + a**2*alpha*m**2*cos(theta)**2 - 2*a**2*alpha*m*r*cos(theta)**2 - 2*a**2*m*r*cos(theta)**2 - a**2*r**2*sin(theta)**2 + a**2*r**2*cos(theta)**2 + a**2*r**2 + alpha**2*m**2*r**2 + alpha*m**2*r**2 - 2*alpha*m*r**3 - 2*m*r**3 + r**4)/(2*(a**6*sin(theta)**6 - 2*a**6*sin(theta)**4 + a**6*sin(theta)**2 + a**4*alpha**2*m**2*sin(theta)**6 - 2*a**4*alpha**2*m**2*sin(theta)**4 + a**4*alpha**2*m**2*sin(theta)**2 + a**4*alpha*m**2*sin(theta)**6 - 2*a**4*alpha*m**2*sin(theta)**4 + a**4*alpha*m**2*sin(theta)**2 - 2*a**4*alpha*m*r*sin(theta)**6 + 4*a**4*alpha*m*r*sin(theta)**4 - 2*a**4*alpha*m*r*sin(theta)**2 - 2*a**4*m*r*sin(theta)**6 + 4*a**4*m*r*sin(theta)**4 - 2*a**4*m*r*sin(theta)**2 + a**4*r**2*sin(theta)**6 - 4*a**4*r**2*sin(theta)**4 + 3*a**4*r**2*sin(theta)**2 - 2*a**2*alpha**2*m**2*r**2*sin(theta)**4 + 2*a**2*alpha**2*m**2*r**2*sin(theta)**2 - 2*a**2*alpha*m**2*r**2*sin(theta)**4 + 2*a**2*alpha*m**2*r**2*sin(theta)**2 + 4*a**2*alpha*m*r**3*sin(theta)**4 - 4*a**2*alpha*m*r**3*sin(theta)**2 + 4*a**2*m*r**3*sin(theta)**4 - 4*a**2*m*r**3*sin(theta)**2 - 2*a**2*r**4*sin(theta)**4 + 3*a**2*r**4*sin(theta)**2 + alpha**2*m**2*r**4*sin(theta)**2 + alpha*m**2*r**4*sin(theta)**2 - 2*alpha*m*r**5*sin(theta)**2 - 2*m*r**5*sin(theta)**2 + r**6*sin(theta)**2)))"], "u0_timelike": "-a*m*u_phi*(alpha + 1)*(-alpha*m + 2*r)*sin(theta)**2/(-a**2*sin(theta)**2 + a**2 + alpha**2*m**2 + alpha*m**2 - 2*alpha*m*r - 2*m*r + r**2) - sqrt((a**2 + alpha**2*m**2 + alpha*m**2 - 2*alpha*m*r - 2*m*r + r**2)*(a**8*u_phi**2*sin(theta)**6 - 2*a**8*u_phi**2*sin(theta)**4 + a**8*u_phi**2*sin(theta)**2 - a**8*u_theta**2*sin(theta)**2*cos(theta)**4 + a**8*u_theta**2*cos(theta)**4 + 2*a**6*alpha**2*m**2*u_phi**2*sin(theta)**6 - 4*a**6*alpha**2*m**2*u_phi**2*sin(theta)**4 + 2*a**6*alpha**2*m**2*u_phi**2*sin(theta)**2 - a**6*alpha**2*m**2*u_theta**2*sin(theta)**2*cos(theta)**4 + 2*a**6*alpha**2*m**2*u_theta**2*cos(theta)**4 + 2*a**6*alpha*m**2*u_phi**2*sin(theta)**6 - 4*a**6*alpha*m**2*u_phi**2*sin(theta)**4 + 2*a**6*alpha*m**2*u_phi**2*sin(theta)**2 - a**6*alpha*m**2*u_theta**2*sin(theta)**2*cos(theta)**4 + 2*a**6*alpha*m**2*u_theta**2*cos(theta)**4 - 4*a**6*alpha*m*r*u_phi**2*sin(theta)**6 + 8*a**6*alpha*m*r*u_phi**2*sin(theta)**4 - 4*a**6*alpha*m*r*u_phi**2*sin(theta)**2 + 2*a**6*alpha*m*r*u_theta**2*sin(theta)**2*cos(theta)**4 - 4*a**6*alpha*m*r*u_theta**2*cos(theta)**4 - 4*a**6*m*r*u_phi**2*sin(theta)**6 + 8*a**6*m*r*u_phi**2*sin(theta)**4 - 4*a**6*m*r*u_phi**2*sin(theta)**2 + 2*a**6*m*r*u_theta**2*sin(theta)**2*cos(theta)**4 - 4*a**6*m*r*u_theta**2*cos(theta)**4 + 2*a**6*r**2*u_phi**2*sin(theta)**6 - 6*a**6*r**2*u_phi**2*sin(theta)**4 + 4*a**6*r**2*u_phi**2*sin(theta)**2 - a**6*r**2*u_theta**2*sin(theta)**2*cos(theta)**4 - 2*a**6*r**2*u_theta**2*sin(theta)**2*cos(theta)**2 + 2*a**6*r**2*u_theta**2*cos(theta)**4 + 2*a**6*r**2*u_theta**2*cos(theta)**2 - a**6*u_r**2*sin(theta)**2*cos(theta)**4 + a**6*u_r**2*cos(theta)**4 - a**6*sin(theta)**2*cos(theta)**2 + a**6*cos(theta)**2 + a**4*alpha**4*m**4*u_phi**2*sin(theta)**6 - 2*a**4*alpha**4*m**4*u_phi**2*sin(theta)**4 + a**4*alpha**4*m**4*u_phi**2*sin(theta)**2 + a**4*alpha**4*m**4*u_theta**2*cos(theta)**4 + 2*a**4*alpha**3*m**4*u_phi**2*sin(theta)**6 - 4*a**4*alpha**3*m**4*u_phi**2*sin(theta)**4 + 2*a**4*alpha**3*m**4*u_phi**2*sin(theta)**2 + 2*a**4*alpha**3*m**4*u_theta**2*cos(theta)**4 - 4*a**4*alpha**3*m**3*r*u_phi**2*sin(theta)**6 + 8*a**4*alpha**3*m**3*r*u_phi**2*sin(theta)**4 - 4*a**4*alpha**3*m**3*r*u_phi**2*sin(theta)**2 - 4*a**4*alpha**3*m**3*r*u_theta**2*cos(theta)**4 + a**4*alpha**2*m**4*u_phi**2*sin(theta)**6 - 2*a**4*alpha**2*m**4*u_phi**2*sin(theta)**4 + a**4*alpha**2*m**4*u_phi**2*sin(theta)**2 + a**4*alpha**2*m**4*u_theta**2*cos(theta)**4 - 8*a**4*alpha**2*m**3*r*u_phi**2*sin(theta)**6 + 16*a**4*alpha**2*m**3*r*u_phi**2*sin(theta)**4 - 8*a**4*alpha**2*m**3*r*u_phi**2*sin(theta)**2 - 8*a**4*alpha**2*m**3*r*u_theta**2*cos(theta)**4 + 6*a**4*alpha**2*m**2*r**2*u_phi**2*sin(theta)**6 - 16*a**4*alpha**2*m**2*r**2*u_phi**2*sin(theta)**4 + 10*a**4*alpha**2*m**2*r**2*u_phi**2*sin(theta)**2 - 2*a**4*alpha**2*m**2*r**2*u_theta**2*sin(theta)**2*cos(theta)**2 + 6*a**4*alpha**2*m**2*r**2*u_theta**2*cos(theta)**4 + 4*a**4*alpha**2*m**2*r**2*u_theta**2*cos(theta)**2 + a**4*alpha**2*m**2*u_r**2*cos(theta)**4 - a**4*alpha**2*m**2*sin(theta)**2*cos(theta)**2 + 2*a**4*alpha**2*m**2*cos(theta)**2 - 4*a**4*alpha*m**3*r*u_phi**2*sin(theta)**6 + 8*a**4*alpha*m**3*r*u_phi**2*sin(theta)**4 - 4*a**4*alpha*m**3*r*u_phi**2*sin(theta)**2 - 4*a**4*alpha*m**3*r*u_theta**2*cos(theta)**4 + 10*a**4*alpha*m**2*r**2*u_phi**2*sin(theta)**6 - 24*a**4*alpha*m**2*r**2*u_phi**2*sin(theta)**4 + 14*a**4*alpha*m**2*r**2*u_phi**2*sin(theta)**2 - 2*a**4*alpha*m**2*r**2*u_theta**2*sin(theta)**2*cos(theta)**2 + 10*a**4*alpha*m**2*r**2*u_theta**2*cos(theta)**4 + 4*a**4*alpha*m**2*r**2*u_theta**2*cos(theta)**2 + a**4*alpha*m**2*u_r**2*cos(theta)**4 - a**4*alpha*m**2*sin(theta)**2*cos(theta)**2 + 2*a**4*alpha*m**2*cos(theta)**2 - 4*a**4*alpha*m*r**3*u_phi**2*sin(theta)**6 + 16*a**4*alpha*m*r**3*u_phi**2*sin(theta)**4 - 12*a**4*alpha*m*r**3*u_phi**2*sin(theta)**2 + 4*a**4*alpha*m*r**3*u_theta**2*sin(theta)**2*cos(theta)**2 - 4*a**4*alpha*m*r**3*u_theta**2*cos(theta)**4 - 8*a**4*alpha*m*r**3*u_theta**2*cos(theta)**2 - 2*a**4*alpha*m*r*u_r**2*cos(theta)**4 + 2*a**4*alpha*m*r*sin(theta)**2*cos(theta)**2 - 4*a**4*alpha*m*r*cos(theta)**2 + 4*a**4*m**2*r**2*u_phi**2*sin(theta)**6 - 8*a**4*m**2*r**2*u_phi**2*sin(theta)**4 + 4*a**4*m**2*r**2*u_phi**2*sin(theta)**2 + 4*a**4*m**2*r**2*u_theta**2*cos(theta)**4 - 4*a**4*m*r**3*u_phi**2*sin(theta)**6 + 16*a**4*m*r**3*u_phi**2*sin(theta)**4 - 12*a**4*m*r**3*u_phi**2*sin(theta)**2 + 4*a**4*m*r**3*u_theta**2*sin(theta)**2*cos(theta)**2 - 4*a**4*m*r**3*u_theta**2*cos(theta)**4 - 8*a**4*m*r**3*u_theta**2*cos(theta)**2 - 2*a**4*m*r*u_r**2*cos(theta)**4 + 2*a**4*m*r*sin(theta)**2*cos(theta)**2 - 4*a**4*m*r*cos(theta)**2 + a**4*r**4*u_phi**2*sin(theta)**6 - 6*a**4*r**4*u_phi**2*sin(theta)**4 + 6*a**4*r**4*u_phi**2*sin(theta)**2 - 2*a**4*r**4*u_theta**2*sin(theta)**2*cos(theta)**2 - a**4*r**4*u_theta**2*sin(theta)**2 + a**4*r**4*u_theta**2*cos(theta)**4 + 4*a**4*r**4*u_theta**2*cos(theta)**2 + a**4*r**4*u_theta**2 - 2*a**4*r**2*u_r**2*sin(theta)**2*cos(theta)**2 + a**4*r**2*u_r**2*cos(theta)**4 + 2*a**4*r**2*u_r**2*cos(theta)**2 - a**4*r**2*sin(theta)**2*cos(theta)**2 - a**4*r**2*sin(theta)**2 + 2*a**4*r**2*cos(theta)**2 + a**4*r**2 - 2*a**2*alpha**4*m**4*r**2*u_phi**2*sin(theta)**4 + 2*a**2*alpha**4*m**4*r**2*u_phi**2*sin(theta)**2 + 2*a**2*alpha**4*m**4*r**2*u_theta**2*cos(theta)**2 + a**2*alpha**4*m**4*cos(theta)**2 - 4*a**2*alpha**3*m**4*r**2*u_phi**2*sin(theta)**4 + 4*a**2*alpha**3*m**4*r**2*u_phi**2*sin(theta)**2 + 4*a**2*alpha**3*m**4*r**2*u_theta**2*cos(theta)**2 + 2*a**2*alpha**3*m**4*cos(theta)**2 + 8*a**2*alpha**3*m**3*r**3*u_phi**2*sin(theta)**4 - 8*a**2*alpha**3*m**3*r**3*u_phi**2*sin(theta)**2 - 8*a**2*alpha**3*m**3*r**3*u_theta**2*cos(theta)**2 - 4*a**2*alpha**3*m**3*r*cos(theta)**2 - 2*a**2*alpha**2*m**4*r**2*u_phi**2*sin(theta)**4 + 2*a**2*alpha**2*m**4*r**2*u_phi**2*sin(theta)**2 + 2*a**2*alpha**2*m**4*r**2*u_theta**2*cos(theta)**2 + a**2*alpha**2*m**4*cos(theta)**2 + 16*a**2*alpha**2*m**3*r**3*u_phi**2*sin(theta)**4 - 16*a**2*alpha**2*m**3*r**3*u_phi**2*sin(theta)**2 - 16*a**2*alpha**2*m**3*r**3*u_theta**2*cos(theta)**2 - 8*a**2*alpha**2*m**3*r*cos(theta)**2 - 12*a**2*alpha**2*m**2*r**4*u_phi**2*sin(theta)**4 + 14*a**2*alpha**2*m**2*r**4*u_phi**2*sin(theta)**2 - a**2*alpha**2*m**2*r**4*u_theta**2*sin(theta)**2 + 12*a**2*alpha**2*m**2*r**4*u_theta**2*cos(theta)**2 + 2*a**2*alpha**2*m**2*r**4*u_theta**2 + 2*a**2*alpha**2*m**2*r**2*u_r**2*cos(theta)**2 - a**2*alpha**2*m**2*r**2*sin(theta)**2 + 6*a**2*alpha**2*m**2*r**2*cos(theta)**2 + 2*a**2*alpha**2*m**2*r**2 + 8*a**2*alpha*m**3*r**3*u_phi**2*sin(theta)**4 - 8*a**2*alpha*m**3*r**3*u_phi**2*sin(theta)**2 - 8*a**2*alpha*m**3*r**3*u_theta**2*cos(theta)**2 - 4*a**2*alpha*m**3*r*cos(theta)**2 - 20*a**2*alpha*m**2*r**4*u_phi**2*sin(theta)**4 + 22*a**2*alpha*m**2*r**4*u_phi**2*sin(theta)**2 - a**2*alpha*m**2*r**4*u_theta**2*sin(theta)**2 + 20*a**2*alpha*m**2*r**4*u_theta**2*cos(theta)**2 + 2*a**2*alpha*m**2*r**4*u_theta**2 + 2*a**2*alpha*m**2*r**2*u_r**2*cos(theta)**2 - a**2*alpha*m**2*r**2*sin(theta)**2 + 10*a**2*alpha*m**2*r**2*cos(theta)**2 + 2*a**2*alpha*m**2*r**2 + 8*a**2*alpha*m*r**5*u_phi**2*sin(theta)**4 - 12*a**2*alpha*m*r**5*u_phi**2*sin(theta)**2 + 2*a**2*alpha*m*r**5*u_theta**2*sin(theta)**2 - 8*a**2*alpha*m*r**5*u_theta**2*cos(theta)**2 - 4*a**2*alpha*m*r**5*u_theta**2 - 4*a**2*alpha*m*r**3*u_r**2*cos(theta)**2 + 2*a**2*alpha*m*r**3*sin(theta)**2 - 4*a**2*alpha*m*r**3*cos(theta)**2 - 4*a**2*alpha*m*r**3 - 8*a**2*m**2*r**4*u_phi**2*sin(theta)**4 + 8*a**2*m**2*r**4*u_phi**2*sin(theta)**2 + 8*a**2*m**2*r**4*u_theta**2*cos(theta)**2 + 4*a**2*m**2*r**2*cos(theta)**2 + 8*a**2*m*r**5*u_phi**2*sin(theta)**4 - 12*a**2*m*r**5*u_phi**2*sin(theta)**2 + 2*a**2*m*r**5*u_theta**2*sin(theta)**2 - 8*a**2*m*r**5*u_theta**2*cos(theta)**2 - 4*a**2*m*r**5*u_theta**2 - 4*a**2*m*r**3*u_r**2*cos(theta)**2 + 2*a**2*m*r**3*sin(theta)**2 - 4*a**2*m*r**3*cos(theta)**2 - 4*a**2*m*r**3 - 2*a**2*r**6*u_phi**2*sin(theta)**4 + 4*a**2*r**6*u_phi**2*sin(theta)**2 - a**2*r**6*u_theta**2*sin(theta)**2 + 2*a**2*r**6*u_theta**2*cos(theta)**2 + 2*a**2*r**6*u_theta**2 - a**2*r**4*u_r**2*sin(theta)**2 + 2*a**2*r**4*u_r**2*cos(theta)**2 + a**2*r**4*u_r**2 - a**2*r**4*sin(theta)**2 + a**2*r**4*cos(theta)**2 + 2*a**2*r**4 + alpha**4*m**4*r**4*u_phi**2*sin(theta)**2 + alpha**4*m**4*r**4*u_theta**2 + alpha**4*m**4*r**2 + 2*alpha**3*m**4*r**4*u_phi**2*sin(theta)**2 + 2*alpha**3*m**4*r**4*u_theta**2 + 2*alpha**3*m**4*r**2 - 4*alpha**3*m**3*r**5*u_phi**2*sin(theta)**2 - 4*alpha**3*m**3*r**5*u_theta**2 - 4*alpha**3*m**3*r**3 + alpha**2*m**4*r**4*u_phi**2*sin(theta)**2 + alpha**2*m**4*r**4*u_theta**2 + alpha**2*m**4*r**2 - 8*alpha**2*m**3*r**5*u_phi**2*sin(theta)**2 - 8*alpha**2*m**3*r**5*u_theta**2 - 8*alpha**2*m**3*r**3 + 6*alpha**2*m**2*r**6*u_phi**2*sin(theta)**2 + 6*alpha**2*m**2*r**6*u_theta**2 + alpha**2*m**2*r**4*u_r**2 + 6*alpha**2*m**2*r**4 - 4*alpha*m**3*r**5*u_phi**2*sin(theta)**2 - 4*alpha*m**3*r**5*u_theta**2 - 4*alpha*m**3*r**3 + 10*alpha*m**2*r**6*u_phi**2*sin(theta)**2 + 10*alpha*m**2*r**6*u_theta**2 + alpha*m**2*r**4*u_r**2 + 10*alpha*m**2*r**4 - 4*alpha*m*r**7*u_phi**2*sin(theta)**2 - 4*alpha*m*r**7*u_theta**2 - 2*alpha*m*r**5*u_r**2 - 4*alpha*m*r**5 + 4*m**2*r**6*u_phi**2*sin(theta)**2 + 4*m**2*r**6*u_theta**2 + 4*m**2*r**4 - 4*m*r**7*u_phi**2*sin(theta)**2 - 4*m*r**7*u_theta**2 - 2*m*r**5*u_r**2 - 4*m*r**5 + r**8*u_phi**2*sin(theta)**2 + r**8*u_theta**2 + r**6*u_r**2 + r**6))/(a**4*sin(theta)**2 - a**4 + a**2*alpha**2*m**2*sin(theta)**2 - 2*a**2*alpha**2*m**2 + a**2*alpha*m**2*sin(theta)**2 - 2*a**2*alpha*m**2 - 2*a**2*alpha*m*r*sin(theta)**2 + 4*a**2*alpha*m*r - 2*a**2*m*r*sin(theta)**2 + 4*a**2*m*r + a**2*r**2*sin(theta)**2 - 2*a**2*r**2 - alpha**4*m**4 - 2*alpha**3*m**4 + 4*alpha**3*m**3*r - alpha**2*m**4 + 8*alpha**2*m**3*r - 6*alpha**2*m**2*r**2 + 4*alpha*m**3*r - 10*alpha*m**2*r**2 + 4*alpha*m*r**3 - 4*m**2*r**2 + 4*m*r**3 - r**4)", "u0_null": "-a*m*u_phi*(alpha + 1)*(-alpha*m + 2*r)*sin(theta)**2/(-a**2*sin(theta)**2 + a**2 + alpha**2*m**2 + alpha*m**2 - 2*alpha*m*r - 2*m*r + r**2) - sqrt((a**2 + alpha**2*m**2 + alpha*m**2 - 2*alpha*m*r - 2*m*r + r**2)*(a**8*u_phi**2*sin(theta)**6 - 2*a**8*u_phi**2*sin(theta)**4 + a**8*u_phi**2*sin(theta)**2 - a**8*u_theta**2*sin(theta)**2*cos(theta)**4 + a**8*u_theta**2*cos(theta)**4 + 2*a**6*alpha**2*m**2*u_phi**2*sin(theta)**6 - 4*a**6*alpha**2*m**2*u_phi**2*sin(theta)**4 + 2*a**6*alpha**2*m**2*u_phi**2*sin(theta)**2 - a**6*alpha**2*m**2*u_theta**2*sin(theta)**2*cos(theta)**4 + 2*a**6*alpha**2*m**2*u_theta**2*cos(theta)**4 + 2*a**6*alpha*m**2*u_phi**2*sin(theta)**6 - 4*a**6*alpha*m**2*u_phi**2*sin(theta)**4 + 2*a**6*alpha*m**2*u_phi**2*sin(theta)**2 - a**6*alpha*m**2*u_theta**2*sin(theta)**2*cos(theta)**4 + 2*a**6*alpha*m**2*u_theta**2*cos(theta)**4 - 4*a**6*alpha*m*r*u_phi**2*sin(theta)**6 + 8*a**6*alpha*m*r*u_phi**2*sin(theta)**4 - 4*a**6*alpha*m*r*u_phi**2*sin(theta)**2 + 2*a**6*alpha*m*r*u_theta**2*sin(theta)**2*cos(theta)**4 - 4*a**6*alpha*m*r*u_theta**2*cos(theta)**4 - 4*a**6*m*r*u_phi**2*sin(theta)**6 + 8*a**6*m*r*u_phi**2*sin(theta)**4 - 4*a**6*m*r*u_phi**2*sin(theta)**2 + 2*a**6*m*r*u_theta**2*sin(theta)**2*cos(theta)**4 - 4*a**6*m*r*u_theta**2*cos(theta)**4 + 2*a**6*r**2*u_phi**2*sin(theta)**6 - 6*a**6*r**2*u_phi**2*sin(theta)**4 + 4*a**6*r**2*u_phi**2*sin(theta)**2 - a**6*r**2*u_theta**2*sin(theta)**2*cos(theta)**4 - 2*a**6*r**2*u_theta**2*sin(theta)**2*cos(theta)**2 + 2*a**6*r**2*u_theta**2*cos(theta)**4 + 2*a**6*r**2*u_theta**2*cos(theta)**2 - a**6*u_r**2*sin(theta)**2*cos(theta)**4 + a**6*u_r**2*cos(theta)**4 + a**4*alpha**4*m**4*u_phi**2*sin(theta)**6 - 2*a**4*alpha**4*m**4*u_phi**2*sin(theta)**4 + a**4*alpha**4*m**4*u_phi**2*sin(theta)**2 + a**4*alpha**4*m**4*u_theta**2*cos(theta)**4 + 2*a**4*alpha**3*m**4*u_phi**2*sin(theta)**6 - 4*a**4*alpha**3*m**4*u_phi**2*sin(theta)**4 + 2*a**4*alpha**3*m**4*u_phi**2*sin(theta)**2 + 2*a**4*alpha**3*m**4*u_theta**2*cos(theta)**4 - 4*a**4*alpha**3*m**3*r*u_phi**2*sin(theta)**6 + 8*a**4*alpha**3*m**3*r*u_phi**2*sin(theta)**4 - 4*a**4*alpha**3*m**3*r*u_phi**2*sin(theta)**2 - 4*a**4*alpha**3*m**3*r*u_theta**2*cos(theta)**4 + a**4*alpha**2*m**4*u_phi**2*sin(theta)**6 - 2*a**4*alpha**2*m**4*u_phi**2*sin(theta)**4 + a**4*alpha**2*m**4*u_phi**2*sin(theta)**2 + a**4*alpha**2*m**4*u_theta**2*cos(theta)**4 - 8*a**4*alpha**2*m**3*r*u_phi**2*sin(theta)**6 + 16*a**4*alpha**2*m**3*r*u_phi**2*sin(theta)**4 - 8*a**4*alpha**2*m**3*r*u_phi**2*sin(theta)**2 - 8*a**4*alpha**2*m**3*r*u_theta**2*cos(theta)**4 + 6*a**4*alpha**2*m**2*r**2*u_phi**2*sin(theta)**6 - 16*a**4*alpha**2*m**2*r**2*u_phi**2*sin(theta)**4 + 10*a**4*alpha**2*m**2*r**2*u_phi**2*sin(theta)**2 - 2*a**4*alpha**2*m**2*r**2*u_theta**2*sin(theta)**2*cos(theta)**2 + 6*a**4*alpha**2*m**2*r**2*u_theta**2*cos(theta)**4 + 4*a**4*alpha**2*m**2*r**2*u_theta**2*cos(theta)**2 + a**4*alpha**2*m**2*u_r**2*cos(theta)**4 - 4*a**4*alpha*m**3*r*u_phi**2*sin(theta)**6 + 8*a**4*alpha*m**3*r*u_phi**2*sin(theta)**4 - 4*a**4*alpha*m**3*r*u_phi**2*sin(theta)**2 - 4*a**4*alpha*m**3*r*u_theta**2*cos(theta)**4 + 10*a**4*alpha*m**2*r**2*u_phi**2*sin(theta)**6 - 24*a**4*alpha*m**2*r**2*u_phi**2*sin(theta)**4 + 14*a**4*alpha*m**2*r**2*u_phi**2*sin(theta)**2 - 2*a**4*alpha*m**2*r**2*u_theta**2*sin(theta)**2*cos(theta)**2 + 10*a**4*alpha*m**2*r**2*u_theta**2*cos(theta)**4 + 4*a**4*alpha*m**2*r**2*u_theta**2*cos(theta)**2 + a**4*alpha*m**2*u_r**2*cos(theta)**4 - 4*a**4*alpha*m*r**3*u_phi**2*sin(theta)**6 + 16*a**4*alpha*m*r**3*u_phi**2*sin(theta)**4 - 12*a**4*alpha*m*r**3*u_phi**2*sin(theta)**2 + 4*a**4*alpha*m*r**3*u_theta**2*sin(theta)**2*cos(theta)**2 - 4*a**4*alpha*m*r**3*u_theta**2*cos(theta)**4 - 8*a**4*alpha*m*r**3*u_theta**2*cos(theta)**2 - 2*a**4*alpha*m*r*u_r**2*cos(theta)**4 + 4*a**4*m**2*r**2*u_phi**2*sin(theta)**6 - 8*a**4*m**2*r**2*u_phi**2*sin(theta)**4 + 4*a**4*m**2*r**2*u_phi**2*sin(theta)**2 + 4*a**4*m**2*r**2*u_theta**2*cos(theta)**4 - 4*a**4*m*r**3*u_phi**2*sin(theta)**6 + 16*a**4*m*r**3*u_phi**2*sin(theta)**4 - 12*a**4*m*r**3*u_phi**2*sin(theta)**2 + 4*a**4*m*r**3*u_theta**2*sin(theta)**2*cos(theta)**2 - 4*a**4*m*r**3*u_theta**2*cos(theta)**4 - 8*a**4*m*r**3*u_theta**2*cos(theta)**2 - 2*a**4*m*r*u_r**2*cos(theta)**4 + a**4*r**4*u_phi**2*sin(theta)**6 - 6*a**4*r**4*u_phi**2*sin(theta)**4 + 6*a**4*r**4*u_phi**2*sin(theta)**2 - 2*a**4*r**4*u_theta**2*sin(theta)**2*cos(theta)**2 - a**4*r**4*u_theta**2*sin(theta)**2 + a**4*r**4*u_theta**2*cos(theta)**4 + 4*a**4*r**4*u_theta**2*cos(theta)**2 + a**4*r**4*u_theta**2 - 2*a**4*r**2*u_r**2*sin(theta)**2*cos(theta)**2 + a**4*r**2*u_r**2*cos(theta)**4 + 2*a**4*r**2*u_r**2*cos(theta)**2 - 2*a**2*alpha**4*m**4*r**2*u_phi**2*sin(theta)**4 + 2*a**2*alpha**4*m**4*r**2*u_phi**2*sin(theta)**2 + 2*a**2*alpha**4*m**4*r**2*u_theta**2*cos(theta)**2 - 4*a**2*alpha**3*m**4*r**2*u_phi**2*sin(theta)**4 + 4*a**2*alpha**3*m**4*r**2*u_phi**2*sin(theta)**2 + 4*a**2*alpha**3*m**4*r**2*u_theta**2*cos(theta)**2 + 8*a**2*alpha**3*m**3*r**3*u_phi**2*sin(theta)**4 - 8*a**2*alpha**3*m**3*r**3*u_phi**2*sin(theta)**2 - 8*a**2*alpha**3*m**3*r**3*u_theta**2*cos(theta)**2 - 2*a**2*alpha**2*m**4*r**2*u_phi**2*sin(theta)**4 + 2*a**2*alpha**2*m**4*r**2*u_phi**2*sin(theta)**2 + 2*a**2*alpha**2*m**4*r**2*u_theta**2*cos(theta)**2 + 16*a**2*alpha**2*m**3*r**3*u_phi**2*sin(theta)**4 - 16*a**2*alpha**2*m**3*r**3*u_phi**2*sin(theta)**2 - 16*a**2*alpha**2*m**3*r**3*u_theta**2*cos(theta)**2 - 12*a**2*alpha**2*m**2*r**4*u_phi**2*sin(theta)**4 + 14*a**2*alpha**2*m**2*r**4*u_phi**2*sin(theta)**2 - a**2*alpha**2*m**2*r**4*u_theta**2*sin(theta)**2 + 12*a**2*alpha**2*m**2*r**4*u_theta**2*cos(theta)**2 + 2*a**2*alpha**2*m**2*r**4*u_theta**2 + 2*a**2*alpha**2*m**2*r**2*u_r**2*cos(theta)**2 + 8*a**2*alpha*m**3*r**3*u_phi**2*sin(theta)**4 - 8*a**2*alpha*m**3*r**3*u_phi**2*sin(theta)**2 - 8*a**2*alpha*m**3*r**3*u_theta**2*cos(theta)**2 - 20*a**2*alpha*m**2*r**4*u_phi**2*sin(theta)**4 + 22*a**2*alpha*m**2*r**4*u_phi**2*sin(theta)**2 - a**2*alpha*m**2*r**4*u_theta**2*sin(theta)**2 + 20*a**2*alpha*m**2*r**4*u_theta**2*cos(theta)**2 + 2*a**2*alpha*m**2*r**4*u_theta**2 + 2*a**2*alpha*m**2*r**2*u_r**2*cos(theta)**2 + 8*a**2*alpha*m*r**5*u_phi**2*sin(theta)**4 - 12*a**2*alpha*m*r**5*u_phi**2*sin(theta)**2 + 2*a**2*alpha*m*r**5*u_theta**2*sin(theta)**2 - 8*a**2*alpha*m*r**5*u_theta**2*cos(theta)**2 - 4*a**2*alpha*m*r**5*u_theta**2 - 4*a**2*alpha*m*r**3*u_r**2*cos(theta)**2 - 8*a**2*m**2*r**4*u_phi**2*sin(theta)**4 + 8*a**2*m**2*r**4*u_phi**2*sin(theta)**2 + 8*a**2*m**2*r**4*u_theta**2*cos(theta)**2 + 8*a**2*m*r**5*u_phi**2*sin(theta)**4 - 12*a**2*m*r**5*u_phi**2*sin(theta)**2 + 2*a**2*m*r**5*u_theta**2*sin(theta)**2 - 8*a**2*m*r**5*u_theta**2*cos(theta)**2 - 4*a**2*m*r**5*u_theta**2 - 4*a**2*m*r**3*u_r**2*cos(theta)**2 - 2*a**2*r**6*u_phi**2*sin(theta)**4 + 4*a**2*r**6*u_phi**2*sin(theta)**2 - a**2*r**6*u_theta**2*sin(theta)**2 + 2*a**2*r**6*u_theta**2*cos(theta)**2 + 2*a**2*r**6*u_theta**2 - a**2*r**4*u_r**2*sin(theta)**2 + 2*a**2*r**4*u_r**2*cos(theta)**2 + a**2*r**4*u_r**2 + alpha**4*m**4*r**4*u_phi**2*sin(theta)**2 + alpha**4*m**4*r**4*u_theta**2 + 2*alpha**3*m**4*r**4*u_phi**2*sin(theta)**2 + 2*alpha**3*m**4*r**4*u_theta**2 - 4*alpha**3*m**3*r**5*u_phi**2*sin(theta)**2 - 4*alpha**3*m**3*r**5*u_theta**2 + alpha**2*m**4*r**4*u_phi**2*sin(theta)**2 + alpha**2*m**4*r**4*u_theta**2 - 8*alpha**2*m**3*r**5*u_phi**2*sin(theta)**2 - 8*alpha**2*m**3*r**5*u_theta**2 + 6*alpha**2*m**2*r**6*u_phi**2*sin(theta)**2 + 6*alpha**2*m**2*r**6*u_theta**2 + alpha**2*m**2*r**4*u_r**2 - 4*alpha*m**3*r**5*u_phi**2*sin(theta)**2 - 4*alpha*m**3*r**5*u_theta**2 + 10*alpha*m**2*r**6*u_phi**2*sin(theta)**2 + 10*alpha*m**2*r**6*u_theta**2 + alpha*m**2*r**4*u_r**2 - 4*alpha*m*r**7*u_phi**2*sin(theta)**2 - 4*alpha*m*r**7*u_theta**2 - 2*alpha*m*r**5*u_r**2 + 4*m**2*r**6*u_phi**2*sin(theta)**2 + 4*m**2*r**6*u_theta**2 - 4*m*r**7*u_phi**2*sin(theta)**2 - 4*m*r**7*u_theta**2 - 2*m*r**5*u_r**2 + r**8*u_phi**2*sin(theta)**2 + r**8*u_theta**2 + r**6*u_r**2))/(a**4*sin(theta)**2 - a**4 + a**2*alpha**2*m**2*sin(theta)**2 - 2*a**2*alpha**2*m**2 + a**2*alpha*m**2*sin(theta)**2 - 2*a**2*alpha*m**2 - 2*a**2*alpha*m*r*sin(theta)**2 + 4*a**2*alpha*m*r - 2*a**2*m*r*sin(theta)**2 + 4*a**2*m*r + a**2*r**2*sin(theta)**2 - 2*a**2*r**2 - alpha**4*m**4 - 2*alpha**3*m**4 + 4*alpha**3*m**3*r - alpha**2*m**4 + 8*alpha**2*m**3*r - 6*alpha**2*m**2*r**2 + 4*alpha*m**3*r - 10*alpha*m**2*r**2 + 4*alpha*m*r**3 - 4*m**2*r**2 + 4*m*r**3 - r**4)"}
        self.load_metric_from_json(metric_json, **kwargs)